{
  name = "Run pre-commit on all files";
  on = [
    "push"
    "pull_request"
  ];

  jobs.check = {
    runs-on = "nix";
    steps = [
      { uses = "actions/checkout@v3"; }
      {
        name = "Run pre-commit on all files";
        run = "nix-shell -A pre-commit --run 'pre-commit run --all-files --hook-stage pre-push --show-diff-on-failure'";
      }
    ];
  };
}
