#!/usr/bin/env nix-shell
#!nix-shell -i bash -p ubootTools

usage() {
	echo "extract the firmware part to write it manually from a Zyxel NWA FIT image"
	echo "$0 <zyxel_nwa_fit_image_path> <firmware_output_file>"
}

ZYXEL_NWA_FIT="$1"
FIRMWARE_OUTPUT="$2"

dumpimage -T flat_dt -p 0 $ZYXEL_NWA_FIT -o $FIRMWARE_OUTPUT
