{
  name = "Check workflows";
  on = {
    pull_request.branches = [ "main" ];
    push.paths = [ "workflows/*" ];
  };

  jobs = {
    check_workflows = {
      runs-on = "nix";
      steps = [
        { uses = "actions/checkout@v3"; }
        {
          name = "Check that the workflows are up to date";
          run = "nix-shell -A check-workflows --run '[ $(git status --porcelain | wc -l) -eq 0 ]'";
        }
      ];
    };
  };
}
